Catalog & Products
Import products CSV
Import products from CSV (multipart). Optionally push to Meta.
POST
/
api
/
v1
/
accounts
/
{account_id}
/
catalogs
/
{id}
/
import_csv
Import products CSV
curl --request POST \
--url https://connect.voxys.ai/api/v1/accounts/{account_id}/catalogs/{id}/import_csv \
--header 'Content-Type: application/json' \
--header 'api_access_token: <api-key>' \
--data '
{
"push_to_meta": true
}
'import requests
url = "https://connect.voxys.ai/api/v1/accounts/{account_id}/catalogs/{id}/import_csv"
payload = { "push_to_meta": True }
headers = {
"api_access_token": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {api_access_token: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({push_to_meta: true})
};
fetch('https://connect.voxys.ai/api/v1/accounts/{account_id}/catalogs/{id}/import_csv', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"error": "<string>"
}Authorizations
All API requests must include the api_access_token header with a valid agent or administrator token.
Path Parameters
Numeric ID of the account
Numeric ID of the resource
Body
application/json
Also push to the Meta catalog
Response
Successful response
⌘I
Import products CSV

